"use strict";
(function ($) {
    $.field_destination = function (element, options) {
        var defaults = {
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element), 
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('select.list-destination').select2();
            $element.find('.select2-selection__arrow').html('');
            $element.find('.select2-selection--single').prepend('<i class="fas fa-map-marker-alt"></i>')
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }
    $.fn.field_destination = function (options) {
        return this.each(function () {
            
            if (undefined == $(this).data('field_destination')) {
                var plugin = new $.field_destination(this, options);
                $(this).data('field_destination', plugin);
            }
        });
    }
})(jQuery);